Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class StreeDOMHelper

    java.lang.Object
      |
      +--org.apache.xpath.DOMHelper
            |
            +--org.apache.xpath.DOM2Helper
                  |
                  +--org.apache.xalan.stree.StreeDOMHelper

public class StreeDOMHelper
extends DOM2Helper

Constructor Summary
`StreeDOMHelper()`

Method Summary
`short` | `getLevel(Node node1)` **For internal use only** Get the depth level of this node in the tree.
`java.lang.String` | `getUniqueID(Node node)` Create an empty DOM Document.
`boolean` | `isNamespaceNode(Node n)` Tell if the given node is a namespace decl node.

Methods inherited from class org.apache.xpath.DOM2Helper
`checkNode, getDocument, getElementByID, getLocalNameOfNode, getNamespaceOfNode, getParentOfNode, isNodeAfter, parse, setDocument, supportsSAX`

Methods inherited from class org.apache.xpath.DOMHelper
`createDocument, getDOMFactory, getExpandedAttributeName, getExpandedElementName, getNamespaceForPrefix, getNodeData, getNodeData, getRoot, getRootNode, getUnparsedEntityURI, isIgnorableWhitespace, setDOMFactory, shouldStripSourceNode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreeDOMHelper

    public StreeDOMHelper()

Method Detail

### getUniqueID

    public java.lang.String getUniqueID(Node node)

  Create an empty DOM Document. Mainly used for RTFs.
  Overrides:
    getUniqueID in class DOMHelper

### getLevel

    public short getLevel(Node node1)

  **For internal use only** Get the depth level of this node in the tree.
  Overrides:
    getLevel in class DOMHelper

### isNamespaceNode

    public boolean isNamespaceNode(Node n)

  Tell if the given node is a namespace decl node.
  Overrides:
    isNamespaceNode in class DOMHelper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.